Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 19500017: Implement basic point-and-touch mouse input for Android client (Closed)

Created:
6 years, 1 month ago by solb
Modified:
6 years ago
Reviewers:
garykac
CC:
chromium-reviews, jamiewalch+watch_chromium.org, dcaiafa+watch_chromium.org, hclam+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, weitaosu+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org
Visibility:
Public.

Description

Implement basic point-and-touch mouse input for Android client One can now use a remote computer as if it were a touchscreen device. This also trims down our requested permissions to see whether all devices are okay without the somewhat intrusive MANAGE_ACCOUNTS. Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=213209

Patch Set 1 #

Total comments: 7

Patch Set 2 : Restructure storage of mouse buttons to int/boolean pair #

Patch Set 3 : Downdate version codes and minimize requested permissions #

Patch Set 4 : Override MouseButton's hashCode to make findbugs happy #

Total comments: 2

Patch Set 5 : Store mouse pressed status as a separate boolean instead of an enum-like class #

Patch Set 6 : Bump version number to 0.01 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+204 lines, -16 lines) Patch
M remoting/android/java/AndroidManifest.xml View 1 2 3 4 5 1 chunk +1 line, -2 lines 0 comments Download
M remoting/android/java/src/org/chromium/chromoting/DesktopView.java View 1 2 3 4 7 chunks +114 lines, -8 lines 0 comments Download
M remoting/android/java/src/org/chromium/chromoting/jni/JniInterface.java View 1 1 chunk +12 lines, -0 lines 0 comments Download
M remoting/client/jni/chromoting_jni_instance.h View 1 3 chunks +22 lines, -0 lines 0 comments Download
M remoting/client/jni/chromoting_jni_instance.cc View 1 3 chunks +41 lines, -6 lines 0 comments Download
M remoting/client/jni/jni_interface.cc View 1 1 chunk +14 lines, -0 lines 0 comments Download

Messages

Total messages: 11 (0 generated)
solb
This is designed to be applied on top of https://codereview.chromium.org/19482019.
6 years, 1 month ago (2013-07-20 05:17:40 UTC) #1
garykac
https://codereview.chromium.org/19500017/diff/1/remoting/client/jni/chromoting_jni_instance.cc File remoting/client/jni/chromoting_jni_instance.cc (right): https://codereview.chromium.org/19500017/diff/1/remoting/client/jni/chromoting_jni_instance.cc#newcode88 remoting/client/jni/chromoting_jni_instance.cc:88: protocol::MouseEvent_MouseButton button) { This should be a MouseEvent so ...
6 years, 1 month ago (2013-07-20 21:25:26 UTC) #2
solb
This one should *actually* be ready for review now. https://codereview.chromium.org/19500017/diff/1/remoting/android/java/src/org/chromium/chromoting/DesktopView.java File remoting/android/java/src/org/chromium/chromoting/DesktopView.java (right): https://codereview.chromium.org/19500017/diff/1/remoting/android/java/src/org/chromium/chromoting/DesktopView.java#newcode257 remoting/android/java/src/org/chromium/chromoting/DesktopView.java:257: ...
6 years ago (2013-07-22 19:13:47 UTC) #3
garykac
https://codereview.chromium.org/19500017/diff/16001/remoting/android/java/src/org/chromium/chromoting/DesktopView.java File remoting/android/java/src/org/chromium/chromoting/DesktopView.java (right): https://codereview.chromium.org/19500017/diff/16001/remoting/android/java/src/org/chromium/chromoting/DesktopView.java#newcode49 remoting/android/java/src/org/chromium/chromoting/DesktopView.java:49: private static class MouseButton { this seems more complex ...
6 years ago (2013-07-22 23:43:38 UTC) #4
solb
https://codereview.chromium.org/19500017/diff/16001/remoting/android/java/src/org/chromium/chromoting/DesktopView.java File remoting/android/java/src/org/chromium/chromoting/DesktopView.java (right): https://codereview.chromium.org/19500017/diff/16001/remoting/android/java/src/org/chromium/chromoting/DesktopView.java#newcode49 remoting/android/java/src/org/chromium/chromoting/DesktopView.java:49: private static class MouseButton { On 2013/07/22 23:43:38, garykac ...
6 years ago (2013-07-23 00:30:00 UTC) #5
garykac
lgtm
6 years ago (2013-07-23 00:49:27 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/solb@chromium.org/19500017/25002
6 years ago (2013-07-23 00:53:52 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/solb@chromium.org/19500017/38007
6 years ago (2013-07-23 01:15:27 UTC) #8
commit-bot: I haz the power
Step "update" is always a major failure. Look at the try server FAQ for more ...
6 years ago (2013-07-23 01:40:00 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/solb@chromium.org/19500017/38007
6 years ago (2013-07-23 16:54:28 UTC) #10
commit-bot: I haz the power
6 years ago (2013-07-23 20:16:46 UTC) #11
Message was sent while issue was closed.
Change committed as 213209

Powered by Google App Engine
This is Rietveld 408576698